%global bundled_ttf	0

%global mod_name	gdmodule
%global __provides_exclude_from	.*/site-packages/.*\\.so$

Name:		python-gd
Version:	0.56
Release:	19%{?dist}
Summary:	Python GD module
Group:		Development/Libraries
License:	BSD
URL:		http://newcenturycomputers.net/projects/gdmodule.html
%if %{bundled_ttf}
Source0:	http://newcenturycomputers.net/projects/download.cgi/%{mod_name}-%{version}.tar.gz
%else
# tar zxf SOURCES/${mod_name}-${version}.tar.gz
# rm -f ${md_name}-${version}/adventure.ttf
# tar zcf SOURCES/${mod_name}-${version}-clean.tar.gz ${mod_name}-${version}
Source0:	%{mod_name}-%{version}-clean.tar.gz
%endif

# https://bugzilla.redhat.com/show_bug.cgi?id=901872#c6
Source1:	LICENSE

BuildRequires:	freetype-devel
BuildRequires:	gd-devel >= 2.0.23
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libpng-devel
BuildRequires:	libXpm-devel
BuildRequires:	openjpeg-devel
BuildRequires:	python2-devel
BuildRequires:	zlib-devel

%global _description\
The GDmodule is an interface to the GD library written by Thomas Boutell.\
\
    'gd is a graphics library. It allows your code to quickly draw images\
     complete with lines, arcs, text, multiple colors, cut and paste from\
     other images, and flood fills, and write out the result as a PNG or\
     JPEG file. This is particularly useful in World Wide Web applications,\
     where PNG and JPEG are two of the formats accepted for inline images\
     by most browsers.'

%description %_description

%package -n python2-gd
Summary: %summary
Requires:	gd >= 2.0.23
%{?python_provide:%python_provide python2-gd}

%description -n python2-gd %_description

%prep
%setup -q -n %{mod_name}-%{version}
sed -e 's|\r||' %{SOURCE1} > LICENSE
touch -r %{SOURCE1} LICENSE
sed -i -e 's|"/usr/local/lib"|"%{_libdir}"|;' Setup.py

%build
CFLAGS="%{optflags}" %{__python2} Setup.py build

%install
%{__python} Setup.py install --root $RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/%{python2_sitearch}/_gd.so

%files -n python2-gd
%doc LICENSE README
%{python2_sitearch}/_gd.so
%{python2_sitearch}/gd.py*
%{python2_sitearch}/%{mod_name}-%{version}-py2.7.egg-info

%changelog
* Sun Feb 11 2018 Sandro Mani <manisandro@gmail.com> - 0.56-19
- Rebuild (giflib)
- Use versioned python2 macros

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.56-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.56-17
- Python 2 binary package renamed to python2-gd
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.56-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.56-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.56-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.56-13
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.56-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.56-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.56-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.56-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 27 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.56-8
- Rebuild for new giflib.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.56-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Remi Collet <rcollet@redhat.com> - 0.56-6
- rebuild for new GD 2.1.0

* Thu Jan 31 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.56-5
- Explicitly set CFLAGS (#901872).

* Wed Jan 30 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.56-4
- Preserve timestamp of the LICENSE file.

* Sun Jan 27 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.56-3
- Add LICENSE file given by upstream (#901872).
- Repackage the tarball to remove a bundlled ttf file (reported upstream).

* Tue Jan 22 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.56-2
- Do not provide a private shared object.
- Correct permissions of the installed shared object.

* Sat Jan 19 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.56-1
- Initial python-gd spec.
